#include <bits/stdc++.h>

 main()
 {
  	int p,q,r,broj=0,i=0;
  	long long int L,R;
  	scanf("%d %d %d %lld %lld",&p,&q,&r,&L,&R);
  	while(L+i<=R)
  	{
  		long long int W1=(L+i)/p;
  		if((L+i)%p!=0) W1++;
  		long long int W2=(L+i)/q;
  		if((L+i)%q!=0) W2++;
  		long long int W3=(L+i)/r;
  		if((L+i)%r!=0) W3++;
  		
  		if((W1+W2+W3)<=L+i)
  		broj++;
  		i++;
	}
	printf("%d",broj);
 }